Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.util
Class ValidationErrorsUtils

    java.lang.Object
      com.jaspersoft.jasperserver.war.util.ValidationErrorsUtils

    public class ValidationErrorsUtils

extends java.lang.Object

Version:
  $Id: ValidationErrorsUtils.java 10045 2007-09-13 14:10:10Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`protected` | `ValidationErrorsUtils()`

Method Summary
`static ValidationErrorsUtils` | `instance()`
`protected boolean` | `matches(ValidationError error, java.lang.String[] fieldPrefixes)`
`protected void` | `setError(org.springframework.validation.Errors errors, java.util.Set bindErrorFields, ValidationError error)`
`void` | `setErrors(org.springframework.validation.Errors errors, ValidationErrors validationErrors, java.lang.String[] fieldPrefixes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationErrorsUtils

    protected ValidationErrorsUtils()

Method Detail

### instance

    public static ValidationErrorsUtils instance()

### setErrors

    public void setErrors(org.springframework.validation.Errors errors,
                          ValidationErrors validationErrors,
                          java.lang.String[] fieldPrefixes)

### matches

    protected boolean matches(ValidationError error,
                              java.lang.String[] fieldPrefixes)

### setError

    protected void setError(org.springframework.validation.Errors errors,
                            java.util.Set bindErrorFields,
                            ValidationError error)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.